diff -ruNa a/backend/wbprivate/sqlide/wb_live_schema_tree.h b/backend/wbprivate/sqlide/wb_live_schema_tree.h
--- a/backend/wbprivate/sqlide/wb_live_schema_tree.h	2012-04-06 21:40:51.000000000 +0200
+++ b/backend/wbprivate/sqlide/wb_live_schema_tree.h	2012-04-12 15:23:03.348365331 +0200
@@ -24,7 +24,7 @@
 #include "grtpp.h"
 #include "workbench/wb_backend_public_interface.h"
 #include "base/string_utilities.h"
-#include <glib/gpattern.h>
+#include <glib.h>
 
 namespace wb
 {
diff -ruNa a/backend/wbprivate/workbench/stdafx.h b/backend/wbprivate/workbench/stdafx.h
--- a/backend/wbprivate/workbench/stdafx.h	2012-04-06 21:40:54.000000000 +0200
+++ b/backend/wbprivate/workbench/stdafx.h	2012-04-12 15:23:03.348365331 +0200
@@ -56,7 +56,7 @@
 #include <gl/glu.h>
 
 #include <glib.h>
-#include <glib/gthread.h>
+#include <glib.h>
 
 #include "grtpp.h"
 #include "grtpp_util.h"
diff -ruNa a/backend/windows/wbprivate.wr/src/stdafx.h b/backend/windows/wbprivate.wr/src/stdafx.h
--- a/backend/windows/wbprivate.wr/src/stdafx.h	2012-04-06 21:40:55.000000000 +0200
+++ b/backend/windows/wbprivate.wr/src/stdafx.h	2012-04-12 15:23:03.348365331 +0200
@@ -65,7 +65,7 @@
 
 #include <gl/glu.h>
 
-#include <glib/gthread.h>
+#include <glib.h>
 
 #ifndef _WIN32
 #include <sys/time.h>
diff -ruNa a/library/canvas/src/mdc_canvas_view.h b/library/canvas/src/mdc_canvas_view.h
--- a/library/canvas/src/mdc_canvas_view.h	2012-04-06 21:40:54.000000000 +0200
+++ b/library/canvas/src/mdc_canvas_view.h	2012-04-12 15:23:03.345032016 +0200
@@ -28,7 +28,7 @@
 #include "mdc_selection.h"
 
 #ifndef _WIN32
-#include <glib/gthread.h>
+#include <glib.h>
 #endif
 
 BEGIN_MDC_DECLS
diff -ruNa a/library/canvas/src/mdc_canvas_view_printing.cpp b/library/canvas/src/mdc_canvas_view_printing.cpp
--- a/library/canvas/src/mdc_canvas_view_printing.cpp	2012-04-06 21:40:54.000000000 +0200
+++ b/library/canvas/src/mdc_canvas_view_printing.cpp	2012-04-12 15:23:03.345032016 +0200
@@ -21,7 +21,7 @@
 
 #include "mdc_canvas_view.h"
 #include "mdc_canvas_view_printing.h"
-#include <glib/gmessages.h>
+#include <glib.h>
 
 #ifdef _WIN32
 #include <cairo/cairo-win32.h>
diff -ruNa a/library/canvas/src/stdafx.h b/library/canvas/src/stdafx.h
--- a/library/canvas/src/stdafx.h	2012-04-06 21:40:55.000000000 +0200
+++ b/library/canvas/src/stdafx.h	2012-04-12 15:23:03.345032016 +0200
@@ -52,7 +52,7 @@
 #include <gl/gl.h>
 #include <gl/glu.h>
 
-#include <glib/gthread.h>
+#include <glib.h>
 
 #endif // _WIN32
 
diff -ruNa a/library/grt/src/grtpp_util.cpp b/library/grt/src/grtpp_util.cpp
--- a/library/grt/src/grtpp_util.cpp	2012-04-06 21:40:54.000000000 +0200
+++ b/library/grt/src/grtpp_util.cpp	2012-04-12 15:23:03.348365331 +0200
@@ -25,7 +25,7 @@
 #include "grtpp_util.h"
 #include "base/string_utilities.h"
 
-#include <glib/gbase64.h>
+#include <glib.h>
 #include <functional>
 
 using namespace grt;
diff -ruNa a/modules/db.mysql.sqlparser/src/mysql_sql_parser_fe.cpp b/modules/db.mysql.sqlparser/src/mysql_sql_parser_fe.cpp
--- a/modules/db.mysql.sqlparser/src/mysql_sql_parser_fe.cpp	2012-04-06 21:40:49.000000000 +0200
+++ b/modules/db.mysql.sqlparser/src/mysql_sql_parser_fe.cpp	2012-04-12 15:23:03.348365331 +0200
@@ -20,7 +20,7 @@
 
 #include "stdafx.h"
 
-#include <glib/gunicode.h>
+#include <glib.h>
 #include "grt/common.h"
 #include "grt/grt_manager.h"
 #include "grtdb/charset_utils.h"
diff -ruNa a/modules/db.mysql.sqlparser/src/stdafx.h b/modules/db.mysql.sqlparser/src/stdafx.h
--- a/modules/db.mysql.sqlparser/src/stdafx.h	2012-04-06 21:40:55.000000000 +0200
+++ b/modules/db.mysql.sqlparser/src/stdafx.h	2012-04-12 15:23:03.348365331 +0200
@@ -32,7 +32,7 @@
 #include <algorithm>
 #include <sstream>
 #include <fstream>
-#include <glib/gunicode.h>
+#include <glib.h>
 #include <map>
 #include "direct.h"
 
diff -ruNa a/modules/wb.mysql.import/src/stdafx.h b/modules/wb.mysql.import/src/stdafx.h
--- a/modules/wb.mysql.import/src/stdafx.h	2012-04-06 21:40:54.000000000 +0200
+++ b/modules/wb.mysql.import/src/stdafx.h	2012-04-12 15:23:03.348365331 +0200
@@ -10,7 +10,7 @@
 #include <algorithm>
 #include <sstream>
 #include <fstream>
-#include <glib/gunicode.h>
+#include <glib.h>
 #include <map>
 #include "direct.h"
 
diff -ruNa a/plugins/db.mysql/backend/db_plugin_be.cpp b/plugins/db.mysql/backend/db_plugin_be.cpp
--- a/plugins/db.mysql/backend/db_plugin_be.cpp	2012-04-06 21:40:52.000000000 +0200
+++ b/plugins/db.mysql/backend/db_plugin_be.cpp	2012-04-12 15:23:03.345032016 +0200
@@ -31,7 +31,7 @@
 #include "grts/structs.db.h"
 #include "base/string_utilities.h"
 
-#include <glib/gunicode.h>
+#include <glib.h>
 
 void Db_plugin::grtm(bec::GRTManager *grtm)
 {
diff -ruNa a/plugins/wb.printing/backend/stdafx.h b/plugins/wb.printing/backend/stdafx.h
--- a/plugins/wb.printing/backend/stdafx.h	2012-04-06 21:40:54.000000000 +0200
+++ b/plugins/wb.printing/backend/stdafx.h	2012-04-12 15:23:03.345032016 +0200
@@ -44,7 +44,7 @@
 #include <gl/gl.h>
 #include <gl/glu.h>
 
-#include <glib/gthread.h>
+#include <glib.h>
 
 #ifndef _WIN32
 #include <sys/time.h>
